###############################################################################
# nCHandle is instance pointer of ConstraintManager
# nComIdXbd is the GalateaPCIeDevBoardLX45T_V1
# nDesignID is the HURRI design
proc RunUcfConstraintGen { nCHandle nComIdXbd nDesignId } {
   set nResult 0

   if { $nCHandle eq "" } {
      return $nResult
  }

   if { $nComIdXbd eq "" } {
      return $nResult
   }

   if { $nDesignId eq "" } {
      return $nResult
   }

   set bApiStatus [ tgi::init "1.0" "fail" "Client connected" ]
   if { $bApiStatus == 0 } {
      return 1
   }
   
   # Repository path
   set strRepoDirPath [ bsb::getRepoDirPath $nCHandle ]

   # Pin Constraints
   set strCsvFilePath [ file join $strRepoDirPath "GalateaPCIeDevBoardLX45T_V1.csv" ]

   set nResult [ \
      bsb::registerPinData $nCHandle $nComIdXbd $nDesignId $strCsvFilePath \
   ]

   if { $nResult != 0 } {
      return $nResult
   }

   #Default ucf
   set strUcfFilePath [ \
      file join $strRepoDirPath "default.ucf" \
   ]

   set nResult [ \
         bsb::registerRawUcfFile  \
            $nCHandle $strUcfFilePath \
      ]

   if { $nResult != 0 } {
      return $nResult
   }
   
   return $nResult
}
###############################################################################
